## com.lowagie.bc.asn1
Class ASN1Encodable

    java.lang.Object
      com.lowagie.bc.asn1.ASN1Encodable

All Implemented Interfaces:
  DEREncodable

    public abstract class ASN1Encodable

extends java.lang.Object
implements DEREncodable

Abstract Syntax Notation One (ASN.1) is a formal language for abstractly describing messages to be exchanged between distributed computer systems.

Constructor Summary
`ASN1Encodable()`

Method Summary
`boolean` `equals(java.lang.Object o)`
`DERObject` `getDERObject()`
`byte[]` `getEncoded()` Encodes the ASN1Encodable object.
`int` `hashCode()`
`abstract DERObject` `toASN1Object()` Abstract method that returns the object as an ASN1 object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1Encodable

    public ASN1Encodable()

Method Detail

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  Encodes the ASN1Encodable object.

  Returns:
    an encoded bytearray
  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`
  See Also:
    `DEREncodable.getDERObject()`

### toASN1Object

    public abstract DERObject toASN1Object()

  Abstract method that returns the object as an ASN1 object.

  Returns:
    an encodable object